Name:           gnome-search-tool
Version:        3.4.0
Release:        1%{?dist}
Summary:        Utility for finding files for GNOME

License:        GPLv2+ and GFDL
#No URL for the package specifically, as of now
URL:            http://www.gnome.org/gnome-3/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnome-search-tool/3.4/%{name}-%{version}.tar.xz

BuildRequires:  gtk3-devel
BuildRequires:  GConf2-devel
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  rarian-compat
BuildRequires:  docbook-dtds
BuildRequires:  libSM-devel
BuildRequires:  desktop-file-utils

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Obsoletes: gnome-utils < 1:3.3
Obsoletes: gnome-utils-devel < 1:3.3
Obsoletes: gnome-utils-libs < 1:3.3

%description
GNOME Search Tool is a utility for finding files on your system. To perform a
basic search, you can type a filename or a partial filename, with or without
wildcards. To refine your search, you can apply additional search options.

GNOME Search Tool uses the find, grep, and locate UNIX commands. Since the
find, grep, and locate commands support the -i option, all searches are
case-insensitive.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome


%pre
%gconf_schema_prepare %{name}

%post
%gconf_schema_upgrade %{name}

%preun
%gconf_schema_remove %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING COPYING.docs NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/gsearchtool
%{_mandir}/man1/%{name}.1.gz


%changelog
* Tue Mar 27 2012 Rui Matos <rmatos@redhat.com> - 3.4.0-1
- Update to 3.4.0

* Sat Mar 17 2012 Matthias Clasen <mclasen@redhat.com> - 3.3.1-6
- Don't obsolete gnome-system-log

* Fri Mar 16 2012 Rui Matos <rmatos@redhat.com> - 3.3.1-5
- Obsolete all gnome-utils subpackages

* Tue Mar 13 2012 Rui Matos <rmatos@redhat.com> - 3.3.1-4
- Added Obsoletes: gnome-utils < 1:3.3

* Mon Mar 12 2012 Rui Matos <rmatos@redhat.com> - 3.3.1-3
- Use GConf rpm macros instead of open coded scriplets

* Mon Mar  5 2012 Rui Matos <rmatos@redhat.com> - 3.3.1-2
- spec file cleanup

* Tue Nov 15 2011 Anuj More <anujmorex@gmail.com> - 3.3.1-1
- rebuilt

